Package net.shibboleth.idp.attribute.filter

# Enum Class PolicyRequirementRule.Tristate

java.lang.Object
java.lang.Enum<PolicyRequirementRule.Tristate>
net.shibboleth.idp.attribute.filter.PolicyRequirementRule.Tristate

All Implemented Interfaces:
  `Serializable`, `Comparable<PolicyRequirementRule.Tristate>`, `Constable`

Enclosing interface:
  PolicyRequirementRule

public static enum PolicyRequirementRule.Tristate extends Enum<PolicyRequirementRule.Tristate>
Representation of the three outcomes of a PolicyRequirementRule.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL`
Match operation failed.
`FALSE`
No match.
`TRUE`
Match.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Tristate()`

## Method Summary

Modifier and Type
Method
Description
`static PolicyRequirementRule.Tristate`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PolicyRequirementRule.Tristate[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRUE

public static final PolicyRequirementRule.Tristate TRUE
Match.

### FALSE

public static final PolicyRequirementRule.Tristate FALSE
No match.

### FAIL

public static final PolicyRequirementRule.Tristate FAIL
Match operation failed.

## Constructor Details

### Tristate

private Tristate()

## Method Details

### values

public static PolicyRequirementRule.Tristate[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PolicyRequirementRule.Tristate valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null